org.jbpm.kie.services.impl.form

## Class FormProviderServiceImpl

- java.lang.Object
- - org.jbpm.kie.services.impl.form.FormProviderServiceImpl

- All Implemented Interfaces:
    FormProviderService
  Direct Known Subclasses:
    FormProvidesServiceCDIImpl

      public class FormProviderServiceImpl
      extends Object
      implements FormProviderService

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FormProviderServiceImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFormDisplayProcess(String deploymentId, String processId)`
    `String` | `getFormDisplayTask(long taskId)`
    `protected org.kie.internal.task.api.ContentMarshallerContext` | `getMarshallerContext(String deploymentId, String processId)`
    `protected org.kie.internal.task.api.ContentMarshallerContext` | `getMarshallerContext(org.kie.api.task.model.Task task)`
    `void` | `setBpmn2Service(DefinitionService bpmn2Service)`
    `void` | `setDataService(RuntimeDataService dataService)`
    `void` | `setDeploymentService(DeploymentService deploymentService)`
    `void` | `setIdentityProvider(org.kie.internal.identity.IdentityProvider identityProvider)`
    `void` | `setProviders(Set<FormProvider> providers)`
    `void` | `setTaskService(org.kie.api.task.TaskService taskService)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FormProviderServiceImpl

          public FormProviderServiceImpl()

  - ### Method Detail

    - #### setTaskService

          public void setTaskService(org.kie.api.task.TaskService taskService)

    - #### setBpmn2Service

          public void setBpmn2Service(DefinitionService bpmn2Service)

    - #### setDataService

          public void setDataService(RuntimeDataService dataService)

    - #### setDeploymentService

          public void setDeploymentService(DeploymentService deploymentService)

    - #### setProviders

          public void setProviders(Set<FormProvider> providers)

    - #### setIdentityProvider

          public void setIdentityProvider(org.kie.internal.identity.IdentityProvider identityProvider)

    - #### getFormDisplayProcess

          public String getFormDisplayProcess(String deploymentId,
                                              String processId)

      Specified by:
        `getFormDisplayProcess` in interface `FormProviderService`

    - #### getFormDisplayTask

          public String getFormDisplayTask(long taskId)

      Specified by:
        `getFormDisplayTask` in interface `FormProviderService`

    - #### getMarshallerContext

          protected org.kie.internal.task.api.ContentMarshallerContext getMarshallerContext(String deploymentId,
                                                                                            String processId)

    - #### getMarshallerContext

          protected org.kie.internal.task.api.ContentMarshallerContext getMarshallerContext(org.kie.api.task.model.Task task)

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.